Subject: Re: [PATCH net-next v2 0/4] tools: ynl: add --dbg-small-recv for easier kernel testing

From: [email-masked]
Date: Wed, 06 Mar 2024 12:10:30 +0000

Hello:

This series was applied to netdev/net-next.git (main)
by David S. Miller <[email-masked]>:

On Mon,  4 Mar 2024 21:33:06 -0800 you wrote:
> When testing netlink dumps I usually hack some user space up
> to constrain its user space buffer size (iproute2, ethtool or ynl).
> Netlink will try to fill the messages up, so since these apps use
> large buffers by default, the dumps are rarely fragmented.
> 
> I was hoping to figure out a way to create a selftest for dump
> testing, but so far I have no idea how to do that in a useful
> and generic way.
> 
> [...]

Here is the summary with links:
  - [net-next,v2,1/4] tools: ynl: move the new line in NlMsg __repr__
    https://git.kernel.org/netdev/net-next/c/7df7231d6a6b
  - [net-next,v2,2/4] tools: ynl: allow setting recv() size
    https://git.kernel.org/netdev/net-next/c/7c93a88785da
  - [net-next,v2,3/4] tools: ynl: support debug printing messages
    https://git.kernel.org/netdev/net-next/c/a6a41521f95e
  - [net-next,v2,4/4] tools: ynl: add --dbg-small-recv for easier kernel testing
    https://git.kernel.org/netdev/net-next/c/c0111878d45e

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html